Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.togethersoft.openapi.ide.window
Class IdeExpertAdapter

public class IdeExpertAdapter
implements IdeExpertListener

Class `IdeExpertAdapter` provides default implementation of `IdeExpertEvent`.

Author:
  TogetherSoft
See Also: IdeExpertAdapter

Method Summary
`void` | `cancelRequested(IdeExpertEvent event)` See IdeExpertListener.cancelRequested.
`void` | `finishRequested(IdeExpertEvent event)` See IdeExpertListener.finishRequested.
`void` | `helpRequested(IdeExpertEvent event)` See IdeExpertListener.helpRequested.
`void` | `nextRequested(IdeExpertEvent event)` See IdeExpertListener.nextRequested.
`void` | `pageSelected(IdeExpertEvent event)` See IdeExpertListener.pageSelected.
`void` | `previousRequested(IdeExpertEvent event)` See IdeExpertListener.previousRequested.

Method Detail

### cancelRequested

    public void cancelRequested(IdeExpertEvent event)
                          throws com.togethersoft.openapi.util.VetoException

  See IdeExpertListener.cancelRequested.

### finishRequested

    public void finishRequested(IdeExpertEvent event)
                          throws com.togethersoft.openapi.util.VetoException

  See IdeExpertListener.finishRequested.

### helpRequested

    public void helpRequested(IdeExpertEvent event)
                        throws com.togethersoft.openapi.util.VetoException

  See IdeExpertListener.helpRequested.

### nextRequested

    public void nextRequested(IdeExpertEvent event)
                        throws com.togethersoft.openapi.util.VetoException

  See IdeExpertListener.nextRequested.

### pageSelected

    public void pageSelected(IdeExpertEvent event)

  See IdeExpertListener.pageSelected.

### previousRequested

    public void previousRequested(IdeExpertEvent event)
                            throws com.togethersoft.openapi.util.VetoException

  See IdeExpertListener.previousRequested.

Overview | Package | Class | Use | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD